@import url(https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap);
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap');

* {
    box-sizing: border-box;
    color: inherit;
    font-family: inherit;
    transition: all .3s ease;
}

html, body {
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;

}

body {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    align-items: center;
    align-content: center;

    background-color: #f9f9fa;
    color: rgba(0, 0, 0, .87);
    font-family: Roboto, sans-serif;

    padding-bottom: 16px;
}

.text-light {
    color: #FFF;
}

.text-dark {
    color: rgba(0, 0, 0, .87);
}

h1 {
    text-align: center;
    font-size: 4em;
}

.projects-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;

    border: 1px solid rgba(0, 0, 0, .05);
}

.project-element {
    width: 120px;
    height: 150px;
    margin: 16px;

    border: 5px solid #FFF;

    font-family: 'Noto Sans';

    box-shadow: 0 0 3px 0 rgba(0, 0, 0, .34);

    position: relative;

    cursor: pointer;
}

.project-element:hover,
.project-preview__logo {
    box-shadow: 1px 0 7px 2px rgba(0, 0, 0, .34);
}

.project-element__short {
    position: absolute;
    left: 50%;
    top: 41.5%;
    transform: translate(-50%, -50%);
    font-size: 3em;
}

.project-element__long {
    position: absolute;
    bottom: 15%;
    left: 50%;
    transform: translate(-50%, 50%);

    text-align: center;
}

.project-previews {
    position: relative;
}

.project-preview {
    position: absolute;
    top: 0;
    left: 0;
    height: 20vh;
    width: 42vw;
    padding: 16px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: space-between;
    align-content: space-between;

    color: #FFF;
    background-color: #191919;

    opacity: .9;
    z-index: 10;
}

.project-preview--default {
    position: relative;
    background-color: rgba(0, 0, 0, .05);
}

.project-preview--hide {
    opacity: 0;
    z-index: -1;
}

.project-preview__logo {
    height: 100%;
    margin-right: 16px;
}

.project-preview__logo img {
    height: 100%;
    display: block;
}

.project-preview__infos {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: flex-start;

    flex-grow: 1;
}

.project-preview__name {
    font-size: 2em;
}

.project-preview__deps {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
    align-content: center;
    height: 48px;
    width: 100%;
}

.project-preview__deps__illustration {
    background-color: #FFF;
    height: 100%;
    padding: 4px;
    margin-left: 16px;
}

.project-preview__deps img {
    height: 100%;
}

.project-preview__deps > img {
    margin-left: 16px;
}

@media all and (max-height: 750px) {

    body {
        justify-content: space-between;
    }

    .project-preview {
        width: 60vw;
    }
}

@media all and (max-width: 1200px) {
    .project-preview {
        width: 80vw;
    }
}

@media all and (max-width: 400px) {
    .project-previews {
        padding-top: 16px;
    }

    .project-preview {
        height: auto;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: flex-start;
        align-items: center;
        align-content: center;

        top: 16px;
        margin-bottom: 16px;
    }

    .project-preview > * {
        max-width: 100%;
    }

    .project-preview__logo {
        margin-right: 0;
        margin-bottom: 16px;
    }

    .project-preview__logo img {
        width: 100%;
        height: auto;
    }

    .project-preview__infos {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: flex-start;
        align-items: center;
        align-content: center;

    }

    .project-preview__desc {
        margin: 8px 0 ;
        text-align: justify;
    }

    .project-preview__deps {
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        align-content: center;
        height: auto;
        width: 100%;
    }

    .project-preview__deps__illustration {
        margin: 8px 0;
    }

    .project-preview__deps img {
        height: 48px;
        max-width: 100%;
        margin: 8px 0;
    }
}